#################################################################################
#                                                                               #
#                       copyright (c) 2003 Ingeniweb SARL                       #
#                                                                               #
#################################################################################

"""PloneExFile"""

from global_symbols import *

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions

import ExFile

registerDirectory('skins', globals())
registerDirectory('skins/ExFile', globals())

install_globals = globals()          # Used only in the Extensions/Install.py script


# Initialization method
def initialize(context):
    utils.ContentInit(
        'A content type with an attachment',
        content_types = (ExFile.ExFile, ),
        permission = ExFile_addPermission,
        extra_constructors = (ExFile.addExFile, ),
        fti = (ExFile.factory_type_information,),
        ).initialize(context)

