## Script (Python) "ExFile_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=description, id='', title='', file='', delete=0, lock=0, unlock=0
##title=Edits an ExFile
##

message=""

# Context seeking
if not id:
    id = context.getId()
new_context = context.portal_factory.doCreate(context, id)

# Custom editing method for the attachment
if file:
    # Upload file and edit body
    new_context.attachFile(title, file, )
    message="File uploaded"
elif delete:
    # Remove file if we try to upload an empty one
    new_context.deleteFile()
    message="File deleted"
    if new_context.isLocked():
        new_context.unlock()
        message="File deleted and unlocked"

if lock:
    if new_context.isLocked():
        pass # Can't lock if it is already locked
    else:
        new_context.lock()
        if file:
            message+=" and locked"
        else:
            message="File locked"

if unlock:
    if new_context.isLocked():
        new_context.unlock()
        if file:
            message+=" and unlocked"
        else:
            message="File unlocked"
    else:
        pass # Can't unlock if it is already unlocked

# Classic editing
new_context.plone_utils.contentEdit( new_context
                                   , id=id
                                   , title=title
                                   , description = description )

return ( 'success'
       , new_context
       , { 'portal_status_message' : message } )
