## Controller Python Script "ExFile_edit2"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=id='', description='', text='', title='', file='', delete=0, lock=0, unlock=0
##title=Edit PloneExFile
##

message=""

# Context seeking
if not id:
    id = context.getId()
new_context = context.portal_factory.doCreate(context, id)

# Custom editing method for the attachment
if file:
    # Upload file and edit body
    new_context.attachFile(title, file, )
    message="File uploaded"
elif delete:
    message="File deleted"
    if new_context.isLocked():
        new_context.unlock()
        message="File deleted and unlocked"
    new_context.deleteFile()

if lock:
    if not new_context.isLocked():
        new_context.lock()
        if file:
            message+=" and locked"
        else:
            message="File locked"

if unlock:
    if new_context.isLocked():
        new_context.unlock()
        if file:
            message+=" and unlocked"
        else:
            message="File unlocked"

# Classic editing
new_context.plone_utils.contentEdit( new_context
                                   , id=id
                                   , title=title
                                   , description=description )
new_context.setDescription(description)

return state.set(context = new_context, portal_status_message = message)
