## Script (Python) "validate_ExFile_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=title='', file=None, delete=0, lock=0, unlock=0
##title=Validates an ExFile edit
##

message=""

validator = context.portal_form.createForm()
validator.addField('title', 'String', required=1)
errors = validator.validate(context.REQUEST)

if delete and not context.hasAttachment():
    message="Can't delete empty file"
    return ('failure', errors, {'portal_status_message':message})

if delete and context.isLocked() and not context.canUnlock():
    message="Can't delete file that is locked"
    return ('failure', errors, {'portal_status_message':message})

if lock and not context.canLock() and not file:
    if context.hasAttachment():
        message="You are not allowed to lock the file"
        return ('failure', errors, {'portal_status_message':message})

if unlock and not context.canUnlock():
    message="You are not allowed to unlock the file"
    return ('failure', errors, {'portal_status_message':message})

if not file and not context.hasAttachment():
    if lock:
        message="File required for Lock"
        return ('failure', errors, {'portal_status_message':message})
    if unlock:
        message="File required for Unlock"
        return ('failure', errors, {'portal_status_message':message})

if lock and delete and not file:
    message="Can't lock and delete at the same time"
    return ('failure', errors, {'portal_status_message':message})

if errors:
   message='Please correct the indicated errors.'
   return ('failure', errors, {'portal_status_message':message})
else:
   message='Your document changes have been saved.'
   return ('success', errors, {'portal_status_message':message})


